org.jboss.netty.logging

## Class AbstractInternalLogger

- java.lang.Object
- - org.jboss.netty.logging.AbstractInternalLogger

- All Implemented Interfaces:
    InternalLogger

      public abstract class AbstractInternalLogger
      extends Object
      implements InternalLogger

  A skeletal implementation of `InternalLogger`. This class implements all methods that have a `InternalLogLevel` parameter by default to call specific logger methods such as `InternalLogger.info(String)` or `InternalLogger.isInfoEnabled()`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractInternalLogger()` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabled(InternalLogLevel level)` Returns `true` if the specified log level message is logged.
    `void` | `log(InternalLogLevel level, String msg)` Logs a message.
    `void` | `log(InternalLogLevel level, String msg, Throwable cause)` Logs a message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.netty.logging.InternalLogger

      `debug, debug, error, error, info, info, isDebugEnabled, isErrorEnabled, isInfoEnabled, isWarnEnabled, warn, warn`

- - ### Constructor Detail

    - #### AbstractInternalLogger

          protected AbstractInternalLogger()

      Creates a new instance.

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled(InternalLogLevel level)

      Description copied from interface: `InternalLogger`
      Returns `true` if the specified log level message is logged.
      Specified by:
        `isEnabled` in interface `InternalLogger`

    - #### log

          public void log(InternalLogLevel level,
                 String msg,
                 Throwable cause)

      Description copied from interface: `InternalLogger`
      Logs a message.
      Specified by:
        `log` in interface `InternalLogger`

    - #### log

          public void log(InternalLogLevel level,
                 String msg)

      Description copied from interface: `InternalLogger`
      Logs a message.
      Specified by:
        `log` in interface `InternalLogger`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.